model SSmotorBl_RizProKotvy
  annotation(Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={5,5})));
  Modelica.Blocks.Continuous.Integrator Fi annotation(Placement(visible=true, transformation(origin={113.4002,5.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Continuous.Integrator Omega annotation(Placement(visible=true, transformation(origin={55.0,5.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Math.Add add1 annotation(Placement(visible=true, transformation(origin={14.6718,5.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Math.Gain Mh annotation(Placement(visible=true, transformation(origin={-30.3282,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Sources.Pulse Mz annotation(Placement(visible=true, transformation(origin={-112.2838,40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Sources.Pulse Ia annotation(Placement(visible=true, transformation(origin={-112.3231,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
equation 
  connect(Ia.y,Mh.u) annotation(Line(visible=true, origin={-71.8257,-0.0}, points={{-29.4975,-0.0},{29.4975,0.0}}, color={0,0,127}));
  connect(Mh.y,add1.u2) annotation(Line(visible=true, origin={-4.3282,-0.5}, points={{-15.0,0.5},{4.0,0.5},{4.0,-0.5},{7.0,-0.5}}, color={0,0,127}));
  connect(add1.y,Omega.u) annotation(Line(visible=true, origin={34.3359,5.0}, points={{-8.6641,0.0},{8.6641,0.0}}, color={0,0,127}));
  connect(Mz.y,add1.u1) annotation(Line(visible=true, origin={-7.2132,22.6961}, points={{-94.0706,17.3039},{-2.7868,17.3039},{-2.7868,-10.2157},{9.885,-12.6961},{9.885,-11.6961}}, color={0,0,127}));
  connect(Omega.y,Fi.u) annotation(Line(visible=true, origin={-11.5499,-39.1854}, points={{77.5499,44.1854},{112.9501,44.1854}}, color={0,0,127}));
end SSmotorBl_RizProKotvy;
model Model4
  annotation(Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={5,5})));
  Modelica.Blocks.Continuous.Integrator Fi annotation(Placement(visible=true, transformation(origin={113.4002,5.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Continuous.Integrator Omega annotation(Placement(visible=true, transformation(origin={55.0,5.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Math.Add add1 annotation(Placement(visible=true, transformation(origin={14.6718,5.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Math.Gain Mh annotation(Placement(visible=true, transformation(origin={-30.3282,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Sources.Pulse Mz annotation(Placement(visible=true, transformation(origin={-112.2838,40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Sources.Pulse Ia annotation(Placement(visible=true, transformation(origin={-112.3231,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
equation 
  connect(Ia.y,Mh.u) annotation(Line(visible=true, origin={-71.8257,-0.0}, points={{-29.4975,-0.0},{29.4975,0.0}}, color={0,0,127}));
  connect(Mh.y,add1.u2) annotation(Line(visible=true, origin={-4.3282,-0.5}, points={{-15.0,0.5},{4.0,0.5},{4.0,-0.5},{7.0,-0.5}}, color={0,0,127}));
  connect(add1.y,Omega.u) annotation(Line(visible=true, origin={34.3359,5.0}, points={{-8.6641,0.0},{8.6641,0.0}}, color={0,0,127}));
  connect(Mz.y,add1.u1) annotation(Line(visible=true, origin={-7.2132,22.6961}, points={{-94.0706,17.3039},{-2.7868,17.3039},{-2.7868,-10.2157},{9.885,-12.6961},{9.885,-11.6961}}, color={0,0,127}));
  connect(Omega.y,Fi.u) annotation(Line(visible=true, origin={-11.5499,-39.1854}, points={{77.5499,44.1854},{112.9501,44.1854}}, color={0,0,127}));
end Model4;
