model SSmotorBl_RizProuKotvy
  annotation(Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={5,5})));
  Modelica.Blocks.Continuous.Integrator Fi annotation(Placement(visible=true, transformation(origin={113.4002,5.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Continuous.Integrator Omega annotation(Placement(visible=true, transformation(origin={55.0,5.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Math.Add add1 annotation(Placement(visible=true, transformation(origin={14.6718,5.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Math.Gain Mh annotation(Placement(visible=true, transformation(origin={-30.3282,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Math.Gain Ia annotation(Placement(visible=true, transformation(origin={-65.3282,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Math.Feedback feedback1 annotation(Placement(visible=true, transformation(origin={-102.1285,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Sources.Step step1 annotation(Placement(visible=true, transformation(origin={-132.4961,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Math.Gain gain1 annotation(Placement(visible=true, transformation(origin={-25.0,-40.0}, extent={{10.0,-10.0},{-10.0,10.0}}, rotation=0)));
  Modelica.Blocks.Sources.Pulse Mz annotation(Placement(visible=true, transformation(origin={-32.4096,40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
equation 
  connect(Mz.y,add1.u1) annotation(Line(visible=true, origin={-7.2132,22.6961}, points={{-14.1964,17.3039},{-2.7868,17.3039},{-2.7868,-10.2157},{9.885,-12.6961},{9.885,-11.6961}}, color={0,0,127}));
  connect(Omega.y,gain1.u) annotation(Line(visible=true, origin={50.75,-17.5}, points={{15.25,22.5},{24.25,22.5},{24.25,-22.5},{-63.75,-22.5}}, color={0,0,127}));
  connect(Omega.y,Fi.u) annotation(Line(visible=true, origin={-11.5499,-39.1854}, points={{77.5499,44.1854},{112.9501,44.1854}}, color={0,0,127}));
  connect(add1.y,Omega.u) annotation(Line(visible=true, origin={34.3359,5.0}, points={{-8.6641,0.0},{8.6641,0.0}}, color={0,0,127}));
  connect(gain1.y,feedback1.u2) annotation(Line(visible=true, origin={-80.0857,-29.3333}, points={{44.0857,-10.6667},{-22.0428,-10.6667},{-22.0428,21.3333}}, color={0,0,127}));
  connect(step1.y,feedback1.u1) annotation(Line(visible=true, origin={-115.8123,-0.0}, points={{-5.6838,-0.0},{5.6838,0.0}}, color={0,0,127}));
  connect(Mh.y,add1.u2) annotation(Line(visible=true, origin={-4.3282,-0.5}, points={{-15.0,0.5},{4.0,0.5},{4.0,-0.5},{7.0,-0.5}}, color={0,0,127}));
  connect(Ia.y,Mh.u) annotation(Line(visible=true, origin={-48.3282,-0.0}, points={{-6.0,-0.0},{6.0,0.0}}, color={0,0,127}));
  connect(feedback1.y,Ia.u) annotation(Line(visible=true, origin={-85.2284,-0.0}, points={{-7.9002,0.0},{7.9002,0.0}}, color={0,0,127}));
end SSmotorBl_RizProuKotvy;
