model System2Radu "Systém druhého řádu"
  annotation(Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={5,5})));
  Real x(start=1);
  Real y(start=1);
  parameter Real lambda=0.3;
equation 
  der(x)=y;
  der(y)=-x + lambda*(1 - x*x)*y;
end System2Radu;
